Bug 8861 - Просьба пересобрать libgmp с опцией --enable-mpfr
: Просьба пересобрать libgmp с опцией --enable-mpfr
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgmp)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-18 01:46 by
Modified: 2008-07-25 01:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-18 01:46:34
Прошу пересобрать библиотеку libgmp, добавив к configure опцию --enable-mpfr.
Это необходимо для некоторых приложений, в частности для сборки gcc4 с
поддержкой fortran95 (нужно для libgfortran). Сам попробовал добавить, всё
пересобирается. Есть ли какие-то проблемы, запрещающие сборку этой библиотеки?
Кстати, она собирается пока только как libmpfr.a и попадает в
libgmp-devel-static.
------- Comment #1 From 2006-01-19 14:19:37 -------
если не хватает только этой опции, то разрешаю сделать NMU.
Также хорошо чтобы собиралась и динамическая версия этой библиотеки для общей
красоты картины.
------- Comment #2 From 2006-01-19 16:42:43 -------
К сожалению, разработчики дают сборку только .a версии из-за возможной
несовместимости текущей сборки libmpfr и будущей. Как сделать её динамической
пока не знаю - не ковырялся.
------- Comment #3 From 2006-01-30 13:12:35 -------
(In reply to comment #1)
> если не хватает только этой опции, то разрешаю сделать NMU.
> Также хорошо чтобы собиралась и динамическая версия этой библиотеки для общей
> красоты картины.

Не могу провести - incoming не даёт разрешения. Можете Вы провести?
------- Comment #4 From 2006-04-14 20:41:41 -------
* Fri Apr 14 2006 Dmitry V. Levin <ldv@altlinux> 4.1.4-alt3
- Applied fixes from Debian and FC gmp packages.
- Build with --enable-mpfr, because
  GMP with MPFR support is required to build fortran (#8861).